let SL = 1;

do {
  const signedSL = SL >= 0 ? `+${SL}` : "SL";
  const content = `
  <div>
    <p style="font-weight: bold;">Du hast ${signedSL} ${SL > 1 ? "EGs" : "EG"} erzielt. Möchtest du einen W10 würfeln?</p>
    <p>1–6: +1 EG hinzufügen</p>
    <p>7–10: alle angesammelten EG verlieren und den nächsten Test mit –1 EG durchführen</p>
  </div>
`;
  const choice = await foundry.applications.api.DialogV2.confirm({
    yes: {label: "Würfeln", icon: "fas fa-dice"},
    no: {label: `${signedSL} EG behalten`, icon: "fas fa-check"},
    content,
  });

  if (!choice) break;

  const roll = new Roll("1d10");
  await roll.toMessage({flavor: this.effect.name});

  if (roll.total >= 7) {
    SL = -1;
    break;
  }

  SL++;
} while (true);

this.effect.setFlag("wfrp4e", "SL", SL);